=== debian/changelog ===
pyside (0.4.2-1maemo2) unstable; urgency=low

  * Version bump.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Mon, 25 Oct 2010 20:37:34 -0300
