## pyside 0.4.2-1maemo3

=== debian/changelog ===
pyside (0.4.2-1maemo3) unstable; urgency=low

  * Version bump.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Mon, 25 Oct 2010 22:43:12 -0300
