## pyside 0.4.2-1maemo4

=== debian/changelog ===
pyside (0.4.2-1maemo4) unstable; urgency=low

  *  New version based on Didier's packaging.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Tue, 26 Oct 2010 16:37:22 -0300

pyside (0.4.1-1) experimental; urgency=low

  * New 0.4.1 upstream release.
    - Add some 0.4.1 symbols.

  * Patches:
    - u_c130273_fix_py25_QtScript_property.patch
      Remove, was from upstream.
    - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Remove, was from upstream.
    - u_268bf77_fixed_signal_signature_parser.patch
      Remove, was from upstream.
    + libPythonVersionPostfix.patch: Refresh
    + usePySpecificShiboken.patch: Refresh
    + lessBuildVerbosity.patch: Refresh
 
  * Bump the B-D chain versions.
  * Make sure the private.py is installed in QtCore module.
  * Build against Qt 4.7, hence release to experimental.
    - Add libqtwebkit-dev
    - Drop QtMultimedia module.
    - Add the QtDeclarative package.

 -- Didier Raboud <didier@raboud.com>  Tue, 12 Oct 2010 11:42:00 +0200
