=== debian/control ===
Source: pyside
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper7 (>= 7.4.11), cmake (>= 2.6.0), dpkg-dev (>= 1.14.25),
	python-all-dev (>= 2.3.5-11), python-all-dbg (>= 2.3.5-11), python-support (>= 0.3.9),
	libqt4-dev (>= 4.7.0~git20100909-0maemo1+0m5), libqt4-opengl (>= 4.7.0~git20100909-0maemo1+0m5),
	shiboken (>= 0.5.1-1maemo2), libshiboken-dev (>= 0.5.1-1maemo2), shiboken-dbg (>= 0.5.1-1maemo2),
	generatorrunner (>= 0.6.2-1maemo3), libgenrunner-dev (>= 0.6.2-1maemo3), libapiextractor-dev (>= 0.8.1-1maemo3),
	libqt4-sql-sqlite (>= 4.7.0~git20100909-0maemo1+0m5), xvfb, xauth, quilt
# Various Build-Depends are needed for success of the testsuite:
# libqt4-sql-sqlite is needed because we need one sql driver.
# xvfb and xauth are needed to run a fake X Server
# phonon-backend-gstreamer is needed to test phonon
Standards-Version: 3.9.1.0
XS-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyside/
Homepage: http://www.pyside.org/
DM-Upload-Allowed: yes

Package: python-pyside
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-pyside.phonon (>= ${binary:Version}),
	 python-pyside.qtcore (>= ${binary:Version}),
	 python-pyside.qtdeclarative (>= ${binary:Version}),
	 python-pyside.qtgui (>= ${binary:Version}),
	 python-pyside.qtmaemo5 (>= ${binary:Version}),
	 python-pyside.qtmultimedia (>= ${binary:Version}),
	 python-pyside.qtnetwork (>= ${binary:Version}),
	 python-pyside.qtopengl (>= ${binary:Version}),
	 python-pyside.qtscript (>= ${binary:Version}),
	 python-pyside.qtsql (>= ${binary:Version}),
	 python-pyside.qtsvg (>= ${binary:Version}),
	 python-pyside.qtwebkit (>= ${binary:Version}),
	 python-pyside.qtxml (>= ${binary:Version})
Description: Python bindings for Qt4 (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This is a metapackage for all modules.

#Package: python-pyside-dbg
#Architecture: any
#Priority: extra
#Section: debug
#Depends: ${shlibs:Depends}, ${misc:Depends},
#	 shiboken-dbg (>= 0.5.1-1maemo2),
#	 python-pyside.phonon (>= ${binary:Version}) |
#	 python-pyside.qtcore (>= ${binary:Version}) |
#	 python-pyside.qtdeclarative (>= ${binary:Version}) |
#	 python-pyside.qtgui (>= ${binary:Version}) |
#	 python-pyside.qthelp (>= ${binary:Version}) |
#	 python-pyside.qtnetwork (>= ${binary:Version}) |
#	 python-pyside.qtopengl (>= ${binary:Version}) |
#	 python-pyside.qtscript (>= ${binary:Version}) |
#	 python-pyside.qtsql (>= ${binary:Version}) |
#	 python-pyside.qtsvg (>= ${binary:Version}) |
#	 python-pyside.qtuitools (>= ${binary:Version}) |
#	 python-pyside.qtwebkit (>= ${binary:Version}) |
#	 python-pyside.qtxml (>= ${binary:Version}) |
#	 libpyside0.4 (>= ${binary:Version})
#Description: Python bindings for Qt 4 (debug symbols)
# Qt is a cross-platform C++ application framework. Qt's primary feature
# is its rich set of widgets that provide standard GUI functionality.
# .
# This package contains the debugging symbols.

Package: libpyside0.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Replaces: libpyside0.3 (<< 0.5.1)
Breaks: libpyside0.3 (<< 0.5.1)
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: libpyside-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpyside0.4 (=${binary:Version}), libqt4-dev (>= 4.7.0)
Replaces: libpyside0.3 (<< 0.5.1)
Breaks: libpyside0.3 (<< 0.5.1)
Description: Python bindings for Qt 4 (development files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside library.

Package: python-pyside.qtcore
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: python-pyside.qtdeclarative
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 Declarative module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtDeclarative module.

Package: python-pyside.qtgui
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-gui
Replaces: pyside-qt4-gui
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: python-pyside.qtmultimedia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-multimedia
Replaces: pyside-qt4-multimedia
Description: Qt 4 multimedia module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMultimedia module.

Package: python-pyside.qtnetwork
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-network
Replaces: pyside-qt4-network
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: python-pyside.qtopengl
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-opengl
Replaces: pyside-qt4-opengl
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: python-pyside.phonon
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-phonon
Replaces: pyside-qt4-phonon
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: python-pyside.qtscript
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-script
Replaces: pyside-qt4-script
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: python-pyside.qtsql
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-sql
Replaces: pyside-qt4-sql
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: python-pyside.qtsvg
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-svg
Replaces: pyside-qt4-svg
Description: Qt 4 SVG module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSvg module.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: python-pyside.qttest
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-test
Replaces: pyside-qt4-test
Description: Qt 4 test module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtTest module.

Package: python-pyside.qtwebkit
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-webkit
Replaces: pyside-qt4-webkit
Description: Qt 4 WebKit module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtWebKit module.

Package: python-pyside.qtxml
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-xml, python-pyside.qtxmlpatterns (<< 0.4.2-1maemo4)
Replaces: pyside-qt4-xml, python-pyside.qtxmlpatterns (<< 0.4.2-1maemo4)
Description: Qt 4 XML module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtXml and QtXmlPatterns modules.

Package: python-pyside.qtmaemo5
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-maemo5
Replaces: pyside-qt4-maemo5
Description: Qt 4 Maemo5 module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMaemo5 module.
